Place Convert Feature Order
POST /papi/v1/ramp/connect/sandbox/place-convert-feature-order
This endpoint allows you to place test convert orders in the sandbox environment to simulate cryptocurrency conversion scenarios.
Request Body
| Field | Type | Mandatory | Remarks |
|---|---|---|---|
| externalOrderId | string | Yes | The unique order id from the partner side. Supports only letters and numbers. |
| fromCryptoCurrency | string | Yes | The source cryptocurrency to convert from (e.g., BNB, ETH) |
| toCryptoCurrency | string | Yes | The target cryptocurrency to convert to (e.g., USDT, BTC) |
| toCryptoAmount | string | Yes | The amount of target cryptocurrency. Must be greater than 0 and less than 9999999999999999 |
Response Body
| Field | Type | Remarks |
|---|---|---|
| success | boolean | Indicates if the request succeeded |
| code | string | Response code |
| message | string | Response message |
Example 1: Convert BNB to USDT
Request Parameters:
{
"externalOrderId": "830315252102",
"fromCryptoCurrency": "BNB",
"toCryptoCurrency": "USDT",
"toCryptoAmount": "100"
}
Response:
{
"success": true,
"code": "000000",
"message": "success",
"data": null
}
Example 2: Convert ETH to BTC
Request Parameters:
{
"externalOrderId": "830315252103",
"fromCryptoCurrency": "ETH",
"toCryptoCurrency": "BTC",
"toCryptoAmount": "0.5"
}
Response:
{
"success": true,
"code": "000000",
"message": "success",
"data": null
}